Bug 831540 - XMLRPC: TestRun.update() ignores the errata_id field [NEEDINFO]
XMLRPC: TestRun.update() ignores the errata_id field
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
: Patch
: 841757 (view as bug list)
Depends On:
Blocks: 829348
  Show dependency treegraph
 
Reported: 2012-06-13 05:27 EDT by Petr Šplíchal
Modified: 2016-05-31 21:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psplicha: needinfo? (jianchen)


Attachments (Terms of Use)
Patch fixing the typo (964 bytes, patch)
2012-06-13 05:28 EDT, Petr Šplíchal
no flags Details | Diff

  None (edit)
Description Petr Šplíchal 2012-06-13 05:27:05 EDT
Description of problem:

Update the errata field using TestRun.update() has no effect. This
is caused by a copy-and-paste typo in the update() code.

Actual results:

> [INFO] Updating test run TR#6757
> [DEBUG] {'build': 111,
>  'default_tester': 2117,
>  'errata_id': 111,   <------------------------------------
>  'estimated_time': '00:00:00',
>  'manager': 2117,
>  'notes': 'Testing notes',
>  'product': 61,
>  'status': 1,
>  'summary': 'Tessst Run One'}
> [INFO] Fetching test run TR#6757
> [DEBUG] Initializing test run TR#6757
> [DEBUG] {'build': 'RHEL5.3-Server-20081211.0 : x86_64',
>  'build_id': 111,
>  'case_run_status': '2:2,3:1,6:1,8:1',
>  'cc': [],
>  'default_tester': 'psplicha',
>  'default_tester_id': 2117,
>  'env_value': [],
>  'environment_id': 0,
>  'errata_id': None,   <-----------------------------------
>  'estimated_time': '00:00:00',
>  'manager': 'psplicha',
>  'manager_id': 2117,
>  'notes': 'Testing notes',
>  'plan': 'Tessst plan',
>  'plan_id': 289,
>  'plan_text_version': 1,
>  'product_version': '5.7',
>  'run_id': 6757,
>  'start_date': '2009-12-15 16:33:09',
>  'stop_date': '2012-06-13 17:02:07',
>  'summary': 'Tessst Run One',
>  'tag': []}
Comment 1 Petr Šplíchal 2012-06-13 05:28:16 EDT
Created attachment 591415 [details]
Patch fixing the typo

Attaching a simple patch resolving the problem.
Comment 2 jianchen 2012-06-17 22:29:06 EDT
Thanks for point out this typo and attachment the patch.
This typo was fixed in tcms 3.8.0.

(In reply to comment #1)
> Created attachment 591415 [details]
> Patch fixing the typo
> 
> Attaching a simple patch resolving the problem.
Comment 3 Xin Gao 2012-07-25 22:25:29 EDT
Verify 3.8.0-1 on stage -->PASS

Verify steps:
1.test TestRun.update()
such as, TestRun.update([40847], {'errata_id': 12344})


Actual result:
works well now
Comment 4 yawei Li 2012-08-05 22:46:02 EDT
*** Bug 841757 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.